Update agent experiment
curl --request PUT \
--url 'https://api.vida.dev/api/v2/experiments/{experimentId}?token=' \
--header 'Content-Type: application/json' \
--data '
{
"agentConfigId": "<string>",
"name": "<string>",
"variants": [
{
"versionId": 123,
"weight": 1,
"label": "<string>"
}
]
}
'import requests
url = "https://api.vida.dev/api/v2/experiments/{experimentId}?token="
payload = {
"agentConfigId": "<string>",
"name": "<string>",
"variants": [
{
"versionId": 123,
"weight": 1,
"label": "<string>"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
agentConfigId: '<string>',
name: '<string>',
variants: [{versionId: 123, weight: 1, label: '<string>'}]
})
};
fetch('https://api.vida.dev/api/v2/experiments/{experimentId}?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"agentConfigId": "<string>",
"name": "<string>",
"variants": [
{
"versionId": 123,
"weight": 1,
"label": "<string>"
}
],
"createdAt": 123,
"createdBy": 123
},
"status": "ok"
}Agents
Update agent experiment
Renames an experiment and, while it is still a draft, can replace its saved-version variants. agentConfigId must match the experiment.
PUT
/
api
/
v2
/
experiments
/
{experimentId}
Update agent experiment
Authorizations
Vida API Token
Path Parameters
Query Parameters
Body
application/json
⌘I